Get Transaction Details For Custom Currency¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | Long | Business line ID |
| wallet_code Required | String | Wallet ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| tx_types Optional | String[] | Business type |
| contract_addresses Optional | String[] | Addresses |
| chains Optional | String[] | Cactus chain name Allowed Value: Refer to Network Symbol column in Supported Token |
| offset Optional | Integer | 0 by default |
| limit Optional | Integer | 10 by default |
| start_time Optional | Long | Start timestamp (0 by default) |
| end_time Optional | Long | End timestamp (current time by default) |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | See data object details below |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Offset |
| limit | Integer | Limit |
| total | Integer | Total number of records |
| list | Object[] | List of custom currency transactions (see list object details below) |
list (object)
| Field | Type | Description |
|---|---|---|
| id | Integer | Record ID |
| bid | String | Business line ID |
| wallet_code | String | Wallet ID |
| wallet_name | String | Wallet name |
| coin_name | String | Asset name |
| full_name | String | Asset full name |
| chain | String | Chain name |
| contract_address | String | Contract address |
| order_no | String | Order ID |
| block_height | Long | Block height |
| block_hash | String | Block hash |
| tx_id | String | Transaction hash |
| tx_type | String | Business type Allowed values: WITHDRAW, DEPOSIT |
| amount | Decimal | Amount |
| amount_str | String | Amount in string format |
| gas_price | Decimal | Gas price (ETH series) |
| gas_price_str | String | Gas price in string format (ETH series) |
| gas_limit | Decimal | Gas limit (ETH series) |
| gas_limit_str | String | Gas limit in string format (ETH series) |
| tx_fee | Decimal | Transaction fee |
| tx_fee_str | String | Transaction fee in string format |
| position | Long | Position |
| account | String | System account address |
| counterparty | String | Counterparty external address |
| tx_status | String | Transaction status Allowed values: unconfirmed, confirmed |
| tx_time_stamp | Long | Transaction timestamp |
| token_id | String | Return only when the transaction involves an NFT; otherwise null. |
| nft_contract_name | String | NFT contract name. Return only when the transaction involves an NFT; otherwise null. |
Response Example¶
{
"code": 0,
"message": "",
"data": {
"offset": 0,
"limit": 10,
"list": [
{
"id": 2348,
"bid": "a3de9b7c703e4762974a1df7aafe724f",
"order_no": "D996885000803",
"chain": "ETH",
"contract_address": "0x326c977e6efc84e512bb9c30f76e30c160ed06fb",
"block_height": 10566734,
"block_hash": "0xc030f12ca2c0d349f7abd248206a6c2f18e92cfce9ab39bfbc42fe1788ad606e",
"tx_id": "0xb8d3224010a7bdb33b57e98f233041d7d44850753b846d6b74c7835dabd2a656",
"position": 39,
"tx_type": "WITHDRAW",
"amount": 100000000000000000,
"amount_str": "100000000000000000",
"tx_status": "confirmed",
"account": "0xcE514DB8670f4FE46caA1c4086625b5538D460D0",
"counterparty": "0x7B476100344Ff29df272778dc417D8DEbb11d896",
"gas_price": 140,
"gas_price_str": "140",
"gas_limit": 42065,
"gas_limit_str": "42065",
"tx_fee": 4857160,
"tx_fee_str": "4857160",
"wallet_code": "DeFiEVM8600875528",
"wallet_name": "",
"coin_name": "LINK",
"full_name": "ChainLink Token",
"token_id": "",
"nft_contract_name": null,
"tx_time_stamp": 1708416000000
}
],
"total": 1
},
"successful": true
}